org.apache.solr.core

## Class ZkContainer

- java.lang.Object
- - org.apache.solr.core.ZkContainer

-     public class ZkContainer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ZkController` | `zkController`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZkContainer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `ExecutorService` | `getCoreZkRegisterExecutorService()`
    `ZkController` | `getZkController()`
    `void` | `initZooKeeper(CoreContainer cc, String solrHome, CloudConfig config)`
    `void` | `publishCoresAsDown(List<SolrCore> cores)`
    `void` | `registerInZk(SolrCore core, boolean background, boolean skipRecovery)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkController

          protected ZkController zkController

  - ### Constructor Detail

    - #### ZkContainer

          public ZkContainer()

  - ### Method Detail

    - #### initZooKeeper

          public void initZooKeeper(CoreContainer cc,
                                    String solrHome,
                                    CloudConfig config)

    - #### registerInZk

          public void registerInZk(SolrCore core,
                                   boolean background,
                                   boolean skipRecovery)

    - #### getZkController

          public ZkController getZkController()

    - #### publishCoresAsDown

          public void publishCoresAsDown(List<SolrCore> cores)

    - #### close

          public void close()

    - #### getCoreZkRegisterExecutorService

          public ExecutorService getCoreZkRegisterExecutorService()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.